
{% extends '@ajax-layout/layout.twig' %}

{% block body %}
	<div style="text-align:center" class="modal_information">
	
		<div id="messagePopup" class="">
			{{ "Etes vous sûr de vouloir désactiver ce fournisseur de e-Attestations ?" | trad }}
		</div>
		<div style="margin-top:24px">
			<input type="hidden" name="idFournisseurPopup" name="idFournisseurPopup" value="{{idFournisseur}}"/>
			<button type="button" id="btn_ok" class="principal button" data-dismiss="modal" onclick="desactiveEattestation();" >{{ "Oui" | trad }}</button>
			<button type="button" id="btn_close" class="button secondaire" data-dismiss="modal" onclick="desactivePopup();refreshAfterClose()" >{{ "Annuler" | trad }}</button>
		</div>
	</div>
	<script>
		function desactiveEattestation()
		{
			activeLoader();	
 			$.ajax({
              	dataType : 'JSON',
            	url: '{{ path('API.EAT.desactiver', {idFournisseur : idFournisseur}) }}',
            	data: {'idFournisseurPopup' : '{{idFournisseur}}'},
            	type: "POST",
            	success: function(result){
					
        			$('#messagePopup').html(result.message);
        			$('#btn_ok').hide(result.message);

        			if(result.statut=='OK')
        			{
						$('#btn_close').html('{{ "Fermer" | trad }}');
						$('#HiveoDettacher{{idFournisseur}}').hide();
        			}
        			else
        			{
						$('#btn_close').html('{{ "Fermer" | trad }}');
        			}
            	}
            });

			desactiveLoader();	
		}

		function refreshAfterClose() {
			refrechDiv('{{ path('Fournisseur.GestionFournisseur.index') }}', 'genetableau', 'filtre_fournisseur');
		}


	</script>
{% endblock %}